<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%-- 
<div class="reportPageHeader">		    
	Business Process Definition 
</div>
 --%>
<table cellspacing="6" style="width:100%">
	<tbody>	
		<tr>
			<td colspan="2" >	
				<div align="center" class="reportPageTitle">
			        <div id="${entryDataBean.poId}">
			        <%@ include file="./snippet/PageTitleTop.jspf" %>
					<label >
					<c:forEach items="${bpdDataBean.path}" var="path" varStatus="loop" >
    					<span id="bpdDetailsPathSpan${loop.index}${entryDataBean.poId}">${path}</span> >
    					      			
   				 	</c:forEach>
   				 	<span id="bpdDetailsNameSpan${entryDataBean.poId}">
   					<c:if test="${docId eq bpdDataBean.strBPDId}">
   				 		<c:out value="${docName}"/>	
   				 	</c:if>
   				 	<c:if test="${docId ne bpdDataBean.strBPDId}">
   				         ${bpdDataBean.name}
   				 	</c:if>	
   				 	</span>			
					</label>
					<%@ include file="./snippet/PageTitleBottom.jspf" %>
					</div>					
				</div>
				
			</td>
		</tr>		
		<tr>		
			<td colspan="2">
				<div class="reportImageSection">
					<img class="ReportBPDImageVirtualClass" dimension="${bpdDataBean.width}:${bpdDataBean.height}" alt="" src="${imageURLPart1Var}/${bpdDataBean.strBPDId}?snapshotId=${snapshotId}">
				</div>
				<div class="reportPageDescSection">
				<div class="reportSectionTitle">
					<fmt:message key="report.description"/> 
				</div> 
				<div id="bpdDetailsProcDescDiv${entryDataBean.poId}">
				   <!-- <c:out value="${fn:replace(fn:replace(bpdDataBean.processDesc, newline, '<br />'), tab, '&nbsp;&nbsp;&nbsp;')}" escapeXml="false"/> -->	
				   <c:out value="${bpdDataBean.processDesc}"  escapeXml="false"> <fmt:message key="report.nodescription"/> </c:out>			
				</div>
				</div>
			</td>		
		</tr>
		<tr>
			<td class="reportSection">
    			<div >
    			<div class="reportSectionTitle">  <fmt:message key="bpd.inputs"/> </div>     
				<c:forEach items="${bpdDataBean.inputs}" var="input" varStatus="loop">
    				<div><span id="bpdDetailsInputSpan${loop.index}${entryDataBean.poId}">${input['name']}</span> (${input['type']}<c:if test="${input['isList'] eq 'true'}"> <c:out value="-"/> <fmt:message key="variable.type.list"/></c:if><c:out value=")"/>     
   				  	</div>        			
   				 </c:forEach>
				</div>
			</td>
			
			<td class="reportSection">
    			<div >
    			<div class="reportSectionTitle">  <fmt:message key="bpd.outputs"/> </div>     
				<c:forEach items="${bpdDataBean.outputs}" var="output" varStatus="loop">
    				<div>
    				    <span id="bpdDetailsOutputSpan${loop.index}${entryDataBean.poId}">${output['name']}</span> (${output['type']}<c:if test="${output['isList'] eq 'true'}"> <c:out value="-"/> <fmt:message key="variable.type.list"/></c:if><c:out value=")"/>     
   				  	</div>			
   				 </c:forEach>
				</div>
			</td>
		</tr>
				
   				 
   		<tr>
			<td class="reportSection">
			    <div class="reportSectionTitle"> <fmt:message key="bpd.messageevents"/> </div>  
			     
			    <c:if test="${bpdDataBean.messageEvents.size() gt 0}"> 
				<table>
				<tbody>
				    <tr>
    					<th class="reportSectionTable">   </th>	
						<th class="reportSectionTable"> <fmt:message key="event.implementation.consumemessage"/> </th>		
						<th class="reportSectionTable"> <fmt:message key="event.implementation.subscription"/> </th>			
   				 	</tr>
   				 	<c:forEach items="${bpdDataBean.messageEvents}" var="entry" varStatus="loop">
					<tr class='${loop.index % 2 == 0 ? "reportSectionTableRowL" : "reportSectionTableRowD"}'>
						<td id="bpdDetailsMessageEvtName${loop.index}${entryDataBean.poId}" class="reportSectionTable">
							 ${entry['name']}			 	
   				 		</td>
   				 		<td id="bpdDetailsMessageEvtConsume${loop.index}${entryDataBean.poId}" class="reportSectionTable">
   				 			<c:if test="${entry['consumemessage'] eq 'true' }">
   				 		  		<input type="checkbox" checked disabled>
   				 		   </c:if>
   				 		</td>
   				 		<td id="bpdDetailsMessageEvtSubscription${loop.index}${entryDataBean.poId}" class="reportSectionTable">
   				 		   <c:if test="${entry['subscription'] eq 'true' }">
   				 		  		<input type="checkbox" checked disabled>
   				 		   </c:if>
   				 		</td>
   				 	</tr>
   				 	</c:forEach>
   				 </tbody>
   				</table>
   				</c:if>
   			</td>
			<td class="reportSection">
   				 <div class="reportSectionTitle"> <fmt:message key="bpd.adhocevents"/> </div>    
   				  <c:forEach items="${bpdDataBean.adHocEvents}" var="entry" varStatus="loop">
    						<div id="bpdDetailsAdhocEvtDiv${loop.index}${entryDataBean.poId}"> ${entry}  </div>        			
   				 </c:forEach>
   			</td>
		</tr>
		<tr>
			<td class="reportSection">
   				 <div class="reportSectionTitle"> <fmt:message key="bpd.integrations"/> </div>    
   				  <c:forEach items="${bpdDataBean.integrations}" var="entry" varStatus="loop">
    						<div id="bpdDetailsIntegrationsDiv${loop.index}${entryDataBean.poId}"> ${entry}</div>        			
   				 </c:forEach>
   			</td>
			<td class="reportSection">
   				 <div class="reportSectionTitle"> <fmt:message key="report.summary.pg"/> </div>    
   				  <c:forEach items="${bpdDataBean.participantGroups}" var="entry" varStatus="loop">
    						<div id="bpdDetailsPartcipantGrpDiv${loop.index}${entryDataBean.poId}"> ${entry}</div>        			
   				 </c:forEach>
   			</td>
		<tr >
			<td colspan="2" class="reportSection" >
   				 <div class="reportSectionTitle"> <fmt:message key="bpd.activitiesandprocesses"/> </div>    
   				   <c:forEach items="${bpdDataBean.activities}" var="entry" varStatus="loop">
    						<div id="bpdDetailsActivityDiv${loop.index}${entryDataBean.poId}"> ${entry}</div>        			
   				 </c:forEach>
   				 
			</td>		
		</tr>
	</tbody>	
</table>
