<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page import="java.util.*" %>
<%@ page import="com.lombardisoftware.repository.server.RepositoryServicesUtils"%>
<%@ page import="com.ibm.bpm.crconfig.BPMContextRootConfigServiceFactory"%>
<%@ page import="com.ibm.bpm.endpoint.EndpointServiceFactory"%>
<%@ page import="com.ibm.bpm.endpoint.EndpointServiceScenario"%>
<%@ page import="com.ibm.bpm.crconfig.BPMContextRootConfigService"%>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%
	String btdPreference = RepositoryServicesUtils.getBaseTextDirection();
	
	/*Use similar name convention as other places so that it is easy to search later */
	String bpm_context_roots_webviewer = null;
	String bpm_context_roots_portal = null;
 	try{
		bpm_context_roots_webviewer = EndpointServiceFactory.getInstance().getEndpointUrl(null, EndpointServiceScenario.RELATIVE, BPMContextRootConfigService.BPM_WARNAME_WEBVIEWER, null);
		bpm_context_roots_portal = EndpointServiceFactory.getInstance().getEndpointUrl(null, EndpointServiceScenario.RELATIVE, BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTALSUPPORT, null);
		bpm_context_roots_webviewer = bpm_context_roots_webviewer != null ? bpm_context_roots_webviewer : BPMContextRootConfigServiceFactory.getInstance().getContextRootConfigService().getContextRoot(BPMContextRootConfigService.BPM_WARNAME_WEBVIEWER);
 		bpm_context_roots_portal = bpm_context_roots_portal != null ? bpm_context_roots_portal : BPMContextRootConfigServiceFactory.getInstance().getContextRootConfigService().getContextRoot(BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTALSUPPORT);
	}
	catch(Exception e) { } 
%>
<c:set var="compareTitle" value="Comparison Report" scope="page" />
<c:set var="newWindow" value="${param.newWindow}" scope="page" />
<c:set var="projectName" value="${param.projectName}" scope="page" />
<c:set var="compareSubTitle" value="${param.comparisonTitleName}" scope="page" />

<fmt:setLocale value="${param.dl}"/>
<fmt:setBundle basename="CompareReport"/> 

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>


<script type="text/javascript">
var dojoLocale = '<%=request.getParameter("dl")%>';
    var djConfig = {
       	parseOnLoad: true,
       	useGfxLayout: true,
       	locale: dojoLocale
	}
</script>



<script type="text/javascript" src="<%=bpm_context_roots_portal%>/js/dojo/1.6.1/dojo/dojo.js"></script>
<!--<script type="text/javascript" src="<%=bpm_context_roots_portal%>/js/dojo/dojo/dojo.js"></script>-->

<script>
	dojo.require("dijit.dijit"); // optimize: load dijit layer
	
	var bpm_context_roots = <%= RepositoryServicesUtils.getAllContextRootsJson() %>;
	var bpm_endpoint_urls = <%= RepositoryServicesUtils.getAllEndpointUrlsAsJson(request) %>;			
	var restWarName = '<%=BPMContextRootConfigService.BPM_WARNAME_BPMREST%>';
	var ENDPOINT = '<%=bpm_context_roots_webviewer%>';
	
	dojo.registerModulePath("com.ibm.bpm", ENDPOINT + "/widgets/com/ibm/bpm" );
	//dojo.require("com.ibm.bpm.wpd.base.bootstrap");
	dojo.require("com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel");
	dojo.require("com.ibm.bpm.wpd.report.compare.CompareReport");
	dojo.require("com.ibm.bpm.wpd.core.control.WpdRestHandler");
	dojo.require("com.ibm.bpm.wpd.util.BidiUtils");	
	dojo.require("com.ibm.bpm.wpd.base.bootstrapLite");
	dojo.global.BPM = {};
	dojo.global.BPM.WPD_ShellStateModel = new com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel();
	dojo.global.BPM.WPD_RestHandler = new com.ibm.bpm.wpd.core.control.WpdRestHandler(null, 
				com.ibm.bpm.wpd.base.getEndPointAndContextRootForModule(restWarName));
        
	dojo.addOnLoad(function() {
		var btdPreference = "<%= btdPreference %>";
		com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel.getInstance().setBTDPreference(btdPreference);
	
		var sn1 = '<%=request.getParameter("sn1")%>';
		var sn2 = '<%=request.getParameter("sn2")%>';
		var t1n = '<%=request.getParameter("t1n")%>';
		var t2n = '<%=request.getParameter("t2n")%>';
		var s1n = '<%=request.getParameter("s1n")%>';
		var s2n = '<%=request.getParameter("s2n")%>';
		var t1id = '<%=request.getParameter("t1d")%>';
		var t2id = '<%=request.getParameter("t2d")%>';
		var isInAE = '<%=request.getParameter("isInAE")%>';
		
		
		
<!--		if (t1id == t2id)-->
<!--			t2id = null;-->
		
		var sn = {
			snapshot1Id:sn1,
			snapshot2Id:sn2,
			track1Name:t1n,
			track2Name:t2n,
			snapshot1Name:s1n,
			snapshot2Name:s2n,
			track1Id:t1id,
			track2Id:t2id,
			isInAE:isInAE
		};

		var report = new com.ibm.bpm.wpd.report.compare.CompareReport(sn, dojo.byId("comparisonReport"));
		report.domNode.style.height = '100%';
		report.domNode.style.width = '1125px';
	});
</script>

	<head>
	    <meta http-equiv="X-UA-Compatible" content="IE=9; IE=8; IE=7" />
		<title>Comparison Report</title>
		<meta http-equiv="content-type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_webviewer%>/jsp/report/processReport.css" />
		<link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_webviewer%>/widgets/themes/webviewer.css" />
		<style type="text/css">
			body {
				margin-top: 0px;
				padding-top: 0px;
				margin-left: 5px;
				margin-right: 10px;
				font-family: Arial,Helvetica,Verdana,sans-serif;
    			font-size: 12px;
			}
		</style>
		<script type="text/javascript">
			function load()
			{
			}
			
			function printReport(){
	  			window.print();
  			}
		</script>
					
    </head>
	<body class="tundra">
	 
  			<div class="reportTitlebar" style='width:1125px;'>
		 		<div class="reportTitle">
		 			<fmt:message key="report.title"/> 
				</div>		 				
		 		<div class="printBtn" onclick="printReport()">
		 			<fmt:message key="report.print"/> 
				</div>			
		 	</div>

  		<div id="section_to_print_title" class="reportPage" style='width:1125px;'>
        	<table cellspacing="0" style="width:100%">
				<tbody>			
						<td align="center" style="width: 100%; fontfont-weight: bold;">
							<div >
								<h1><span id="compareRepProjName">${projectName}</span></h1>
							</div> 
							<div align="center"> </div>
							<div>
								<c:set var="fullLocale" value="${param.dl}"/>
								<%
									String longLocale = pageContext.getAttribute("fullLocale").toString();
									com.ibm.icu.util.ULocale curLoc = new com.ibm.icu.util.ULocale(longLocale);
									com.ibm.icu.text.DateFormat df = com.ibm.icu.text.DateFormat.getDateInstance(com.ibm.icu.text.DateFormat.SHORT, curLoc);
								%>
								<c:set var="today" value="<%=df.format(new java.util.Date())%>"/>
								${today}
							</div> 
							<div id="compareRepSubTitle" align="center"> ${compareSubTitle}</div>
						</td>
					</tr>	
				</tbody>
			</table>
		</div>
  		
  		<div id="section_to_print_summary" class="reportPage" style='width:1125px;'>        	
<!--			<div class="reportPageHeader">Comparison Page</div>-->
			<div id="comparisonReport" dojoAttachPoint="comparisonReport">
      		</div>
		</div>
  	</body>
</html>
