<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>

<table cellspacing="6" style="width:100%">
	<tbody>	
		<tr>
			<td colspan="2" >	
				<div align="center" class="reportPageTitle">
				    <%@ include file="./snippet/PageTitleTop.jspf" %>
					<label  style="width: auto"> <span id="epvReportNameSpan${epvDataBean.name}">${epvDataBean.name}</span> </label>
					<%@ include file="./snippet/PageTitleBottom.jspf" %>
				</div>
			</td>
		</tr>		
		<tr>		
			<td>
				
				<div class="reportPageDescSection">
				<div class="reportSectionTitle">
					<fmt:message key="report.description"/> 
				</div> 
				<div id="epvDescDiv${epvDataBean.name}">
					<!-- <c:out value="${fn:replace(fn:replace(epvDataBean.description, newline, '<br />'), tab, '&nbsp;&nbsp;&nbsp;')}" escapeXml="false"/> -->
					<c:out value="${epvDataBean.description}"  escapeXml="false"> <fmt:message key="report.nodescription"/> </c:out>
					
				</div>
				</div>
			</td>	
		</tr>
		
		<tr>		
			<td>
				
				<div class="reportPageDescSection">
				<div class="reportSectionTitle">
					 <fmt:message key="epv.exposing"/> 
				</div> 
				<div>
					 <fmt:message key="epv.exposedto"/>: <span id="epvExposedToSpan${epvDataBean.name}">${epvDataBean.exposedTo}</span>
				</div>
				</div>
			</td>	
		</tr>

		<tr>
			<td colspan="2">
			    <div class="reportSectionTitle">
					 <fmt:message key="epv.variables"/>
				</div> 
    			<table class="reportSectionTable">
    			<tbody>
    				<tr class='reportSectionTableRowH'>
    					<th class="reportSectionTable"> <fmt:message key="epv.externalname"/> </th>
    					<th class="reportSectionTable"> <fmt:message key="epv.variablename"/> </th>
    					<th class="reportSectionTable"> <fmt:message key="report.description"/> </th>
    					<th class="reportSectionTable"> <fmt:message key="epv.defaultvalue"/> </th>
    					<th class="reportSectionTable"> <fmt:message key="epv.inprogress"/> </th>
    					<th class="reportSectionTable"> <fmt:message key="epv.variabletype"/> </th>    				
    				</tr>
    				<c:forEach items="${epvDataBean.parameters}" var="parameter" varStatus="loop"> 
    				<script type="text/javascript"> 
    					var paraLength = "<c:out value="${loop.count}"/>";   	
    				</script>			
    				<tr class='${loop.index % 2 == 0 ? "reportSectionTableRowL" : "reportSectionTableRowD"}'>
    					<td id="epvParaExtName${loop.index}${epvDataBean.name}" class="reportSectionTable"> ${parameter['extName']}</td>
    					<td id="epvParaVarName${loop.index}${epvDataBean.name}" class="reportSectionTable">  ${parameter['varName']}</td>
    					<td id="epvParaDesc${loop.index}${epvDataBean.name}" class="reportSectionTable"> ${parameter['extDescription']}</td>
    					<td id="epvParaDefValue${loop.index}${epvDataBean.name}"> ${parameter['defaultValue']}</td>
    					<td>  ${parameter['inProgress']} </td>
    					<td id="epvParaVarType${loop.index}${epvDataBean.name}">  ${parameter['varType']}</td>    				
    				</tr>
    				</c:forEach>   			
    			</tbody>    			
    			</table>
			</td>
		</tr>
	</tbody>	
</table>
<%-- // Bidi Support
<script type="text/javascript"> 
		dojo.global.BPM = {};
		dojo.global.BPM.WPD_ShellStateModel = new com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel("");	
		var btdPreference = "<%= btdPreference %>";
		com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel.getInstance().setBTDPreference(btdPreference);

		// support Bidi for the External activity page
		var epvReportNameSpan = dojo.byId("epvReportNameSpan${epvDataBean.name}");
		if (epvReportNameSpan) {
			var dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue(epvReportNameSpan.innerText);
			if (dir=="rtl")
				epvReportNameSpan.setAttribute("dir",dir);
		}
		var epvDescDiv = dojo.byId("epvDescDiv${epvDataBean.name}");
		if (epvDescDiv) {	
			var dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue(epvDescDiv.innerText);
			if (dir=="rtl")
				epvDescDiv.setAttribute("style","direction:rtl;text-align:left;"); 
		}
		var epvExposedToSpan = dojo.byId("epvExposedToSpan${epvDataBean.name}");
		if (epvExposedToSpan) {
			var dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue(epvExposedToSpan.innerText);
			if (dir=="rtl")
				epvExposedToSpan.setAttribute("dir",dir);
		}
		var epvCount = paraLength;
		if (epvCount) {
		    for (var i=0; i<epvCount; i++){
				var epvParaExtName = dojo.byId("epvParaExtName"+i+"${epvDataBean.name}");
				if (epvParaExtName) {
					var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(epvParaExtName.innerText);
					if (dir=="rtl")
						epvParaExtName.setAttribute("style","direction:rtl;text-align:left;");
				} 
				var epvParaVarName = dojo.byId("epvParaVarName"+i+"${epvDataBean.name}");
				if (epvParaVarName) {
					var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(epvParaVarName.innerText);
					if (dir=="rtl")
						epvParaVarName.setAttribute("style","direction:rtl;text-align:left;");
				} 
				var epvParaDesc = dojo.byId("epvParaDesc"+i+"${epvDataBean.name}");
				if (epvParaDesc) {
					var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(epvParaDesc.innerText);
					if (dir=="rtl")
						epvParaDesc.setAttribute("style","direction:rtl;text-align:left;");
				} 
				var epvParaDefValue = dojo.byId("epvParaDefValue"+i+"${epvDataBean.name}");
				if (epvParaDefValue) {
					var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(epvParaDefValue.innerText);
					if (dir=="rtl")
						epvParaDefValue.setAttribute("style","direction:rtl;text-align:left;");
				} 
				var epvParaVarType = dojo.byId("epvParaVarType"+i+"${epvDataBean.name}");
				if (epvParaVarType) {
					var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(epvParaVarType.innerText);
					if (dir=="rtl")
						epvParaVarType.setAttribute("style","direction:rtl;text-align:left;");
				} 
			}
		}
</script> 
--%>