<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>

<table cellspacing="6" style="width:100%">
	<tbody>	
		<tr>
			<td colspan="2" >	
				<div align="center" class="reportPageTitle">
				    <%@ include file="./snippet/PageTitleTop.jspf" %>
					<label  style="width: auto"> <span id="partiNameSpan${participantDataBean.name}">${participantDataBean.name}</span> </label>
					<%@ include file="./snippet/PageTitleBottom.jspf" %>	
				</div>
			</td>
		</tr>		
		<tr>		
			<td>
				
				<div class="reportPageDescSection">
				<div class="reportSectionTitle">
					 <fmt:message key="report.description"/> 
				</div> 
				<div id="partiDescDiv${participantDataBean.name}">
				    <!-- <c:out value="${fn:replace(fn:replace(participantDataBean.description, newline, '<br />'), tab, '&nbsp;&nbsp;&nbsp;')}" escapeXml="false"/>-->
				    <c:out value="${participantDataBean.description}"  escapeXml="false"> <fmt:message key="report.nodescription"/> </c:out>
				</div>
				</div>
			</td>	
		</tr>
		 <c:set var="membersType" value="${participantDataBean.membersType}" scope="page" />
		<c:choose>
		<c:when test="${membersType eq 'standard'}">
		<tr>		
			<td colspan="2">
				
				<div class="reportPageDescSection">
					<div class="reportSectionTitle">
						<fmt:message key="pg.members"/>  <c:out value="-" />  <fmt:message key="pg.stdmembers"/> 
					</div> 
					 <c:forEach items="${participantDataBean.standardMembers}" var="stardardMember" varStatus="loop">
    				 <div> <span id="partiMemberNameSpan${loop.index}${participantDataBean.name}">${stardardMember['name']}</span> (${stardardMember['type']}) </div>        			
   				 	</c:forEach>
				</div>
			</td>	
		</tr>
		</c:when>
		
		<c:when test="${membersType eq 'expression'}">
		<tr>
			<td colspan="2">
			    <div class="reportSectionTitle">
					  <fmt:message key="pg.members"/>  <c:out value="-" />  <fmt:message key="pg.useexp"/> 
				</div> 
				 
				<div> 
				 <fmt:message key="pg.expression.matchingrule">				 	 
				 		<fmt:message key="${participantDataBean.ruleSetOperator}" var="translatedStr"/>								 	    
				 		<fmt:param value=" ${translatedStr}"/>				 					
				 </fmt:message>
				</div>			
				<ul style="padding: 0px; margin: 0px 0px 0px 35px;">
				 	<c:forEach items="${participantDataBean.expressions}" var="expression" varStatus="loop">
    					 <c:set var="ruleType" value="${expression['ruleType']}" scope="page" />
    					 <c:choose>
							<c:when test="${ruleType eq 'participant'}">
								<li>   
								  	<fmt:message key="pg.expression.participantrule">
				 						<fmt:message key="${expression['matchType']}" var="messageMatchType"/>								 	    
				 						<fmt:param value=" ${messageMatchType}"/>				 						 								 		 	
				 				  	</fmt:message>
				 				 	 <b class="highlighted"> ${expression['participantName']} </b>
								</li>
							</c:when>
							<c:when test="${ruleType eq 'userAttribute'}">
								<li> <fmt:message key="pg.expression.userrule"/> <b class="highlighted"> ${expression['attributeName']} <fmt:message key="${expression['comparator']}"/> ${expression['attributeValue']} </b> </li>
							</c:when>
							<c:otherwise>
								 <li> 
								 	<fmt:message key="pg.expression.expressionrule">
								 	   	<fmt:message key="${expression['matchType']}" var="messageMatchType"/>								 	    
				 						<fmt:param value=" ${messageMatchType}"/>				 								 		 	
				 				  	</fmt:message>
								    <b class="highlighted">   ${expression['value']}  </b> </li> 
							</c:otherwise>
						</c:choose>		
   				 	</c:forEach>				   
				 </ul>
			</td>
		</tr>
		</c:when>
		<c:otherwise>
		<tr>		
			<td colspan="2">
				
				<div class="reportPageDescSection">
				<div class="reportSectionTitle">
					   <fmt:message key="pg.members"/>  <c:out value="-" />  <fmt:message key="pg.system"/> 
				</div> 
				</div>
			</td>	
		</tr>
		</c:otherwise>
		</c:choose>
	</tbody>	
</table>
<%-- // Bidi Support
<script type="text/javascript">
									
		dojo.global.BPM = {};
		dojo.global.BPM.WPD_ShellStateModel = new com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel("");	
		var btdPreference = "<%= btdPreference %>";
		com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel.getInstance().setBTDPreference(btdPreference);

		// support Bidi for the External activity page
		var partiNameSpan = dojo.byId("partiNameSpan${participantDataBean.name}");
		if (partiNameSpan) {
			var dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue(partiNameSpan.innerText);
			if (dir=="rtl")
				partiNameSpan.setAttribute("dir",dir);
		}
		var partiDescDiv = dojo.byId("partiDescDiv${participantDataBean.name}");
		if (partiDescDiv) {
			var dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue(partiDescDiv.innerText);
			if (dir=="rtl")
				partiDescDiv.setAttribute("style","direction:rtl;text-align:left;"); 
		}
		var partiMembers = "<c:out value="${participantDataBean.standardMembers}"/>";;
		var partiMembersArray = partiMembers.split(/,\s*/);
	    for (var i=0; i<partiMembersArray.length; i++){
			var partiMemberNameSpan = dojo.byId("partiMemberNameSpan"+i+"${participantDataBean.name}");
			if (partiMemberNameSpan) {
				var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(partiMemberNameSpan.innerText);
				if (dir=="rtl")
					partiMemberNameSpan.setAttribute("dir",dir);
			}
		}
</script>
--%>