<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%-- 
<div class="reportPageHeader">		    
	External Activity
</div>
--%>

<table cellspacing="6" style="width:100%">
	<tbody>	
		<tr>
			<td colspan="2" >	
				<div align="center" class="reportPageTitle">
				    <%@ include file="./snippet/PageTitleTop.jspf" %>
					<label  style="width: auto"> <span id="eaNameSpan${eaDataBean.name}">${eaDataBean.name}</span></label>
					<%@ include file="./snippet/PageTitleBottom.jspf" %>
				</div>
			</td>
		</tr>		
		<tr>		
			<td colspan="2">
				
				<div class="reportPageDescSection">
				<div class="reportSectionTitle">
					 <fmt:message key="report.description"/> 
				</div> 
				<div id="eaDescDiv${eaDataBean.name}">
					<!-- <c:out value="${fn:replace(fn:replace(eaDataBean.description, newline, '<br />'), tab, '&nbsp;&nbsp;&nbsp;')}" escapeXml="false"/>-->
					<c:out value="${eaDataBean.description}"  escapeXml="false"> <fmt:message key="report.nodescription"/> </c:out>
				</div>
				</div>
			</td>		
		</tr>
		<tr>
			<td colspan="2" class="reportSection">
   				 <div class="reportSectionTitle"> <fmt:message key="ea.customproperties"/>  </div>    
   				 <c:forEach items="${eaDataBean.customProperties}" var="entry" varStatus="loop">    			
   				  	<div><span id="eaCustomKeySpan${loop.index}${eaDataBean.name}">${entry.key}</span> <span id="eaCustomValueSpan${loop.index}${eaDataBean.name}">(${entry.value})</span></div>
				 </c:forEach>  
   			</td>
		</tr>
		<tr>
			<td class="reportSection">
    			<div >
    			<div class="reportSectionTitle"> <fmt:message key="ea.inputparameters"/> </div>
    				<c:forEach items="${eaDataBean.inputParameters}" var="input" varStatus="loop">    			
   				  	<div>
   				  		<span id="eaInputNameSpan${loop.index}${eaDataBean.name}">${input['name']}</span> (${input['type']}<c:if test="${input['isList'] eq 'true'}"> <c:out value="-"/> <fmt:message key="variable.type.list"/></c:if><c:out value=")"/>     
   				  	</div>
				 	</c:forEach>  
				</div>
			</td>
			
			<td class="reportSection">
    			<div >
    			<div class="reportSectionTitle"> <fmt:message key="ea.outputparameters"/> </div>     
					<c:forEach items="${eaDataBean.outputParameters}" var="output" varStatus="loop">    			
   				  	<div>
   				  		<span id="eaOutputNameSpan${loop.index}${eaDataBean.name}">${output['name']}</span> (${output['type']}<c:if test="${output['isList'] eq 'true'}">	<c:out value="-"/> <fmt:message key="variable.type.list"/></c:if><c:out value=")"/>     
   				  	</div>
				 	</c:forEach>  
				</div>
			</td>
		</tr>
	</tbody>	
</table>
<%-- // Bidi Support
<script type="text/javascript">
									
		dojo.global.BPM = {};
		dojo.global.BPM.WPD_ShellStateModel = new com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel("");	
		var btdPreference = "<%= btdPreference %>";
		com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel.getInstance().setBTDPreference(btdPreference);

		// support Bidi for the External activity page
		var eaNameSpan = dojo.byId("eaNameSpan${eaDataBean.name}");
		if (eaNameSpan) {
			var dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue(eaNameSpan.innerText);
			if (dir=="rtl")
				eaNameSpan.setAttribute("dir",dir);
		}
		var eaDescDiv = dojo.byId("eaDescDiv${eaDataBean.name}");
		if (eaDescDiv) {
			var dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue(eaDescDiv.innerText);
			if (dir=="rtl")
				eaDescDiv.setAttribute("style","direction:rtl;text-align:left;"); 
		}
		var eaCustomProperties = "<c:out value="${eaDataBean.customProperties}"/>";;
		var eaCustomPropertiesArray = eaCustomProperties.split(/,\s*/);
	    for (var i=0; i<eaCustomPropertiesArray.length; i++){
			var eaCustomKeySpan = dojo.byId("eaCustomKeySpan"+i+"${eaDataBean.name}");
			if (eaCustomKeySpan) {
				var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(eaCustomKeySpan.innerText);
				if (dir=="rtl")
					eaCustomKeySpan.setAttribute("dir",dir);
			} 
			var eaCustomValueSpan = dojo.byId("eaCustomValueSpan"+i+"${eaDataBean.name}");
			if (eaCustomValueSpan) {
				var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(eaCustomValueSpan.innerText);
				if (dir=="rtl")
					eaCustomValueSpan.setAttribute("dir",dir);
			} 
		}
		var eaInputParas = "<c:out value="${eaDataBean.inputParameters}"/>";;
		var eaInputParasArray = eaInputParas.split(/,\s*/);
	    for (var i=0; i<eaInputParasArray.length; i++){
			var eaInputNameSpan = dojo.byId("eaInputNameSpan"+i+"${eaDataBean.name}");
			if (eaInputNameSpan) {
				var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(eaInputNameSpan.innerText);
				if (dir=="rtl")
					eaInputNameSpan.setAttribute("dir",dir);
			} 
		}
		var eaOutputParas = "<c:out value="${eaDataBean.outputParameters}"/>";;
		var eaOutputParasArray = eaOutputParas.split(/,\s*/);
	    for (var i=0; i<eaOutputParasArray.length; i++){
			var eaOutputNameSpan = dojo.byId("eaOutputNameSpan"+i+"${eaDataBean.name}");
			if (eaOutputNameSpan) {
				var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(eaOutputNameSpan.innerText);
				if (dir=="rtl")
					eaOutputNameSpan.setAttribute("dir",dir);
			} 
		}
</script>
--%>