<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.ibm.bpm.wpd.report.ProjectReportDataBean"%>
<%@ page import="com.ibm.bpm.wpd.report.EPVREportDataBean"%>
<%@ page import="com.ibm.bpm.wpd.report.ParticipantGroupReportDataBean"%>
<%@ page import="com.ibm.bpm.wpd.report.EAReportDataBean"%>
<%@ page import="com.lombardisoftware.repository.server.RepositoryServicesUtils"%>
<%@ page import="com.ibm.bpm.crconfig.BPMContextRootConfigServiceFactory"%>
<%@ page import="com.ibm.bpm.endpoint.EndpointServiceFactory"%>
<%@ page import="com.ibm.bpm.endpoint.EndpointServiceScenario"%>
<%@ page import="com.ibm.bpm.crconfig.BPMContextRootConfigService"%>

<%@ page import="java.util.*" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>

<%
	String docRoot = getServletContext().getRealPath(java.io.File.separator);
	ProjectReportDataBean.setDocRoot(docRoot);
	
	String btdPreference = RepositoryServicesUtils.getBaseTextDirection();
	
	
		/*Use similar name convention as other places so that it is easy to search later */
	String bpm_context_roots_webviewer = null;
	String bpm_context_roots_portal = null;
	String bpm_context_roots_pc = null;
 	try{
		bpm_context_roots_webviewer = EndpointServiceFactory.getInstance().getEndpointUrl(null, EndpointServiceScenario.RELATIVE, BPMContextRootConfigService.BPM_WARNAME_WEBVIEWER, null);
		bpm_context_roots_portal = EndpointServiceFactory.getInstance().getEndpointUrl(null, EndpointServiceScenario.RELATIVE, BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTALSUPPORT, null);
		bpm_context_roots_pc = EndpointServiceFactory.getInstance().getEndpointUrl(null, EndpointServiceScenario.RELATIVE, BPMContextRootConfigService.BPM_WARNAME_REPOSITORY, null);
		
		bpm_context_roots_webviewer = bpm_context_roots_webviewer != null ? bpm_context_roots_webviewer : BPMContextRootConfigServiceFactory.getInstance().getContextRootConfigService().getContextRoot(BPMContextRootConfigService.BPM_WARNAME_WEBVIEWER);
 		bpm_context_roots_portal = bpm_context_roots_portal != null ? bpm_context_roots_portal : BPMContextRootConfigServiceFactory.getInstance().getContextRootConfigService().getContextRoot(BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTALSUPPORT);
 		bpm_context_roots_pc = bpm_context_roots_pc != null ? bpm_context_roots_pc : BPMContextRootConfigServiceFactory.getInstance().getContextRootConfigService().getContextRoot(BPMContextRootConfigService.BPM_WARNAME_REPOSITORY);
	}
	catch(Exception e) { } 
				
  	String imageURLPart1 = bpm_context_roots_webviewer + "/image/v1/processModel";    
    String registrationId = request.getParameter("remoteId");
    if (registrationId != null){
        imageURLPart1 = "/image/v1/processModel";    
	    // url for servlet that is able to make call to resource on remote server
		String remoteServiceURL = bpm_context_roots_pc + "/repository/RemoteProcessDocService";  
		remoteServiceURL += "?registrationId=" + registrationId;
		remoteServiceURL += "&webAppName=webviewer.war";
		imageURLPart1 = remoteServiceURL + "&pathURL=" + imageURLPart1;
    }
%>

<c:set var="bpm_context_roots_webviewer" value="<%=bpm_context_roots_webviewer%>" scope="page" />
<c:set var="imageURLPart1Var" value="<%=imageURLPart1%>" scope="page" />
<c:set var="branchId" value="${param.branchId}" scope="page" />
<c:set var="snapshotId" value="${param.snapshotId}" scope="page" />
<c:set var="newWindow" value="${param.newWindow}" scope="page" />
<c:set var="docId" value="${param.docId}" scope="page" />
<c:set var="docType" value="${empty param.docType || param.docType eq '' ? 'all' : param.docType }" scope="page" />
<c:set var="docName" value="${param.docName}" scope="page" />

<%-- set the locale to whatever passed to the jsp --%>
<fmt:setLocale value="${param.locale}"/> 
<fmt:setBundle basename="ProjectReport"/> 
<jsp:useBean id="prDataBean" class="com.ibm.bpm.wpd.report.ProjectReportDataBean" scope="page">
	<jsp:setProperty name="prDataBean" property="projectId" value="${param.projectId}" />
	<jsp:setProperty name="prDataBean" property="snapshotId" value="${snapshotId}" />
	<jsp:setProperty name="prDataBean" property="poId" value="${docId}" />
	<jsp:setProperty name="prDataBean" property="ready" value="true" />
</jsp:useBean>


<c:set var="newline" value="<%= \"\n\" %>"  scope="page"/>
<c:set var="tab" value="<%= \"\t\" %>"  scope="page"/>		   

<jsp:useBean id="messagesMap" class="java.util.HashMap" scope="page"/>  
<c:set target="${messagesMap}" property="User Task" value="activity.type.usertask"/>      
<c:set target="${messagesMap}" property="ActivityType_0" value="activity.type.none"/>
<c:set target="${messagesMap}" property="ActivityType_1" value="activity.type.usertask"/>
<c:set target="${messagesMap}" property="ActivityType_2" value="activity.type.ruletask"/>
<fmt:message key="activity" var="activityStr"/>								 	    
<fmt:message key="activity.type.subprocess" var="subprocessStr"/>	
<!DOCTYPE html>
<html>
	<head>
        <title>Process Documentation</title>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" type="text/css" href="<%=bpm_context_roots_webviewer%>/jsp/report/processReport.css" />
		
<style type="text/css">
body {
margin-top: 0px;
padding-top: 0px;

}
</style>
		
	<script type="text/javascript" src="<%=bpm_context_roots_portal%>/js/dojo/1.6.1/dojo/dojo.js"></script>
	<script type="text/javascript">
	
		dojo.require("dijit.dijit"); // optimize: load dijit layer
		var ENDPOINT = "<%=bpm_context_roots_webviewer%>";
		dojo.registerModulePath("com.ibm.bpm", ENDPOINT + "/widgets/com/ibm/bpm" );
		dojo.require("com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel");
		dojo.require("com.ibm.bpm.wpd.util.Helper");
		dojo.require("com.ibm.bpm.wpd.util.BidiUtils");      
	
	    var poForToc = [];
		var depthList = [];
		var nameList = [];
		var typeList = [];
		var tempDepth;
		var tempName;
		var tempType;
		var tempPo;
		
		
		dojo.addOnLoad(function() {
			dojo.global.BPM = {};
			dojo.global.BPM.WPD_ShellStateModel = new com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel("");	
			var btdPreference = "<%= btdPreference %>";
			com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel.getInstance().setBTDPreference(btdPreference);
		
			//supportBidiForTitleBar();
			//supportBidiForTitle();	
			
			//supportBidiForSummary();
						
			//supportBidiForExposedProcesses();
			//supportBidiForExposedServices();
			//supportBidiForParticipantGrps();
			//supportBidiForToolkits();
					    
			var tocDiv = dojo.byId("section_to_print_TOC");
			var pageTitles = dojo.query(".reportPageTitle");
			console.log( pageTitles.length );
			var levelNumber;
			var previousWorkingLevel=1;
			var level2count = {};		
			var numberLabel = "";
			var linka;
			for (var i=0; i<pageTitles.length; i++) {	   
				levelNumber = depthList[i];
				if(!!poForToc[i]){
					levelNumber = poForToc[i].depth;
				}
				
				if (!levelNumber){
					levelNumber = 1;
					depthList[i] = 1;
					poForToc[i] = {};
					poForToc[i].depth = 1;
				}		
				//if it go up, then reset all level deeper then the new level
				if(levelNumber < previousWorkingLevel){
					for (var level in level2count) {
						if (level > levelNumber){				
							level2count[level] = 0;
						}
					}
				}
				previousWorkingLevel = levelNumber;
		
				//record how many items are of this level deep
				if(!!level2count[levelNumber]){
					level2count[levelNumber] = 	level2count[levelNumber] + 1;
				}
				else{
					level2count[levelNumber] = 1;	
				}
		
				//go through level2count till reach the index for levelNumber to generate the label			
				for (var level in level2count) {
					if (level <= levelNumber){				
						if (level == 1){
							numberLabel = level2count[level];				
						}
						else{
							numberLabel = numberLabel + "." + level2count[level];
						}
					}
				}				
				
				var linka = document.createElement('a');
				var pageId = 'pagelink' + i;
				pageTitles[i].id = pageId;	
				linka.href = '#' + pageId;
				
				var name = nameList[i];
				name = poForToc[i].name;
				if (!!name){ 	
								
				}
				else {
					var labels = document.getElementById(pageId).getElementsByTagName("label");
					name =  labels[0].innerHTML;
				}
				var actOrSub = "";
				var type = poForToc[i].type;
				if(!!type){
					if(type == 'subprocess' && poForToc[i].depth > 1){
						actOrSub = " ("  + "<c:out value="${subprocessStr}"/>" + ")";					
					}
					else if(type == 'activity.type.subprocess' || type == 'activity.type.eventsubprocess' || type == 'activity.type.linkedprocess'  ){
					   actOrSub = " (" + "<c:out value="${activityStr}"/>"  + ")";	
					}
				}
				// Bidi support
//				var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(name);
//				linka.innerHTML =  numberLabel + "  " + "<span dir='" + dir + "'>"+ name + "</span>" + actOrSub;
				linka.innerHTML =  numberLabel + "  " + name + actOrSub;
				
				var linkLine = document.createElement('div');
				linkLine.appendChild(linka);
				linkLine.style.marginLeft = getIndentation(levelNumber) + "px";
				tocDiv.appendChild(linkLine);
			}						
		});
		
		function supportBidiForTitleBar() {
			// support Bidi for the report title in the bar		    
			var projectNameSpan = dojo.byId("projectNameTitleSpan");
			var dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue("${prDataBean.projectName}");
			if (dir=="rtl")
				projectNameSpan.setAttribute("dir",dir);    
			var snapshotNameSpan = dojo.byId("snapshotNameTitleSpan");
			dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue("${prDataBean.snapshotName}");
			if (dir=="rtl")
				snapshotNameSpan.setAttribute("dir",dir);	
		}
			
		function supportBidiForTitle() {
			// support Bidi for the report title	    
			var projectNameDiv = dojo.byId("projectNameTitleDiv");
			var dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue("${prDataBean.projectName}");
			if (dir=="rtl")				
				projectNameDiv.setAttribute("style","direction:rtl;");
				  
			var trackNameDiv = dojo.byId("trackNameTitleDiv");
			dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue("${prDataBean.trackName}");
			if (dir=="rtl")
				trackNameDiv.setAttribute("style","direction:rtl;");
				
			var snapshotNameDiv = dojo.byId("snapshotNameTitleDiv");
			dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue("${prDataBean.snapshotName}");
			if (dir=="rtl")
				snapshotNameDiv.setAttribute("style","direction:rtl;");
				
			var userNameDiv = dojo.byId("userNameTitleDiv");
			dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue("${prDataBean.userName}");
			if (dir=="rtl")
				userNameDiv.setAttribute("style","direction:rtl;");
		}
		
		function supportBidiForSummary() {
			// support Bidi for the report summary page	    
			var projectNameSummarySpan = dojo.byId("projectNameSummarySpan");
			if (!projectNameSummarySpan)
				return;
			var dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue("${prDataBean.projectName}");
			if (dir=="rtl")
				projectNameSummarySpan.setAttribute("dir",dir);    
			var projectDescSummaryDiv = dojo.byId("projectDescSummaryDiv");
			dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue(projectDescSummaryDiv.innerText);
			if (dir=="rtl")
				projectDescSummaryDiv.setAttribute("style","direction:rtl;text-align:left;");
				
			var trackNameSummaryDiv = dojo.byId("trackNameSummaryDiv");
			dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue("${prDataBean.trackName}");
			if (dir=="rtl")
				trackNameSummaryDiv.setAttribute("style","direction:rtl;");
			var trackDescSummaryDiv = dojo.byId("trackDescSummaryDiv");
			dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue(trackDescSummaryDiv.innerText);
			if (dir=="rtl")
				trackDescSummaryDiv.setAttribute("style","direction:rtl;text-align:left;");
				
			var snapshotNameSummaryDiv = dojo.byId("snapshotNameSummaryDiv");
			dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue("${prDataBean.snapshotName}");
			if (dir=="rtl")
				snapshotNameSummaryDiv.setAttribute("style","direction:rtl;");
			var snapshotDescSummaryDiv = dojo.byId("snapshotDescSummaryDiv");
			dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue(snapshotDescSummaryDiv.innerText);
			if (dir=="rtl")
				snapshotDescSummaryDiv.setAttribute("style","direction:rtl;text-align:left;");

		}
		
		function supportBidiForExposedProcesses() {
			// support Bidi for the exposed processes
			var exposedProcesses = "<c:out value="${prDataBean.exposedProcesses}"/>";
			var exposedProcessesArray = exposedProcesses.split(/,\s*/);
			for (var i=0; i<exposedProcessesArray.length; i++){
				var exposedProcessSpan = dojo.byId("exposedProcessSpan"+i);
				if (exposedProcessSpan) {
					var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(exposedProcessesArray[i]);
					if (dir=="rtl")
						exposedProcessSpan.setAttribute("dir",dir); 
				}
			}
		}
		
		function supportBidiForExposedServices() {
			// support Bidi for the exposed services 
			var exposedServices = "<c:out value="${prDataBean.exposedServices}"/>";
			var exposedServicesArray = exposedServices.split(/,\s*/);
			for (var i=0; i<exposedServicesArray.length; i++){
				var exposedServiceSpan = dojo.byId("exposedServiceSpan"+i);
				if (exposedServiceSpan) {
					var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(exposedServicesArray[i]);
					if (dir=="rtl") 
						exposedServiceSpan.setAttribute("dir",dir); 
				} 
			} 	
		} 
		
		function supportBidiForParticipantGrps() {
			// support Bidi for the participant groups 
			var participantGrps = "<c:out value="${prDataBean.participantsSummary}"/>";
			var participantGrpsArray = participantGrps.split(/,\s*/);
			for (var i=0; i<participantGrpsArray.length; i++){
				var partcipantDiv = dojo.byId("participantDiv"+i);
				if (partcipantDiv) {
					var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(participantGrpsArray[i]);
					if (dir=="rtl")
						partcipantDiv.setAttribute("style","direction:rtl; text-align:left;");
				} 
			} 		
		} 
		
				
		function supportBidiForToolkits() {
			// support Bidi for the toolkits
			var toolkitNames = "<c:out value="${prDataBean.toolkitNames}"/>";;
			var toolkitNamesArray = toolkitNames.split(/,\s*/);
		    for (var i=0; i<toolkitNamesArray.length; i++){
				var toolkitProjNameSpan = dojo.byId("toolkitProjNameSpan"+i);
				if (toolkitProjNameSpan) {
					var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(toolkitProjNameSpan.innerText);
					if (dir=="rtl")
						toolkitProjNameSpan.setAttribute("dir",dir);
				} 
				var toolkitSnapshotNameSpan = dojo.byId("toolkitSnapshotNameSpan"+i);
				if (toolkitSnapshotNameSpan) {
					var dir = com.ibm.bpm.wpd.util.BidiUtils.getDirValue(toolkitSnapshotNameSpan.innerText);
					if (dir=="rtl")
						toolkitSnapshotNameSpan.setAttribute("dir",dir);
				} 
			} 
		}
	
		function getIndentation(depth){
			var padding = 0;
			for (var i=1; i<depth; i++){
				padding = padding + 20;			
			}
			return padding;			
		}
			
		function load()
		{
			resizeHandler();
		}
		
		function printReport(){
			window.print();
 		}
			
		function saveReport(){
		
			if (!!window.ActiveXObject) {
        document.execCommand("SaveAs");
    } else if (!!window.netscape) {
	
    }
		
		}
		
		function resizeImage(img){
			var newWidth = document.body.clientWidth - 20;
			if(!!img && img.width >= newWidth) {
				var originalWidth = img.width;
				var originalHeight = img.height;
				var newHeight = originalHeight * newWidth / originalWidth;
				img.style.width = document.body.clientWidth - 20;
				img.style.heith = newHeight;
				console.debug(originalWidth + " " + newWidth + " " + originalHeight + " " + newHeight);
			}
			img.style.visibility = "visible";
		}
			
		window.onresize = resizeHandler;
		
		function resizeHandler() {
			var nodeList = dojo.query("img.ReportBPDImageVirtualClass", document);
			if (!!nodeList && nodeList.length > 0) {
				for (var i = 0; i < nodeList.length; i++) {
					var aImgNode = nodeList[i];
					
					var dim = aImgNode.getAttribute("dimension");
					var index = dim.indexOf(":");
					var width = dim.substring(0, index);
					var height = dim.substring(index + 1);
					resizeImageNew(aImgNode, width, height);
				}
			}
		}
		

		function resizeImageNew(img, width, height){
			if (!!img) {
				var newWidth = document.body.clientWidth - 20;
				if (newWidth >= width) {
					img.style.width = width + "px";
//					img.style.height = height;// + "px";
				} else {
					img.style.width = newWidth + "px";
				}
				img.style.visibility = "visible";
			}
		}
	</script>
					
    </head>
	<body onload="load()">
		
  		<div class="reportTitlebar">		
		
		 		<div class="reportTitle">
		 			 <fmt:message key="report.title"/>  <span id="projectNameTitleSpan">${prDataBean.projectName}</span>
		 			 <span id="snapshotNameTitleSpan">(${prDataBean.projectShortName})</span>
				</div>		 				
		 		<div class="printBtn" onclick="printReport()">
		 			 <fmt:message key="report.print"/> 
				</div>
                <%-- <a href="#" onclick="saveReport();  return false">save the document</a><br /> --%>
		</div>  		
		<div id="section_to_print_title" class="reportTitlePage" >
        	<%@ include file="TitlePage.jspf" %>
		</div>
		  
		<br class="pagebreak" />		
		<div class="reportTitlePage" >
        	<div id="report_TOC" class="reportPageHeader" style="text-align:center;">		    
				<fmt:message key="report.toc"/> 	    
			</div>
			<div style="margin:10px;" id="section_to_print_TOC">			
			</div>
		</div>		
		
		 <c:if test="${docType eq 'all'}"> 	
		<br class="pagebreak" />
		<div id="section_to_print_summary" class="reportPage" > 
			<fmt:message key="report.summaryPage" var="SumPage"/> 
            <script type="text/javascript">
				tempName = "${SumPage}";
				depthList.push(1);
			    nameList.push(tempName);			
				tempPo = {depth:1, name:tempName, type:'summary'};	
			    poForToc.push(tempPo);
			</script>         	
			<%@ include file="ProjectSummaryPage.jspf" %>
		</div> 
				
		 </c:if>
		 		       	
		<%@ include file="POReport.jspf" %>
		
		 	 
  	</body>
</html>
