<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ include file="repositoryMsgs-init.jsp" %>
<%@ taglib prefix="html" uri="/WEB-INF/struts-html.tld"%>
<%@ taglib prefix="bean" uri="/WEB-INF/struts-bean.tld"%>
<%@ page import="com.lombardisoftware.core.TWHttpClient,
                 com.lombardisoftware.core.config.TWConfiguration,
                 com.lombardisoftware.utility.ApplicationServerPlatform,
                 com.lombardisoftware.utility.Base64Encoder,
                 com.lombardisoftware.core.TeamWorksRuntimeException" %>
<%-- This page is named redirect-login rather than redirectLogin or something else because this --%>
<%-- let's us use the same java code in UtilityAllCore to generate redirect login requests    --%>
<%
    String username = null;
    String password = null;
    if (TWConfiguration.getInstance().getAuthoringEnvironment().isAddRedirectUrlCredentials()) {
        if (TWConfiguration.getInstance().getAuthoringEnvironment().isEncodeRedirectUrlCredentials()) {
            String credentials = request.getParameter("credentials");
            if (credentials != null) {
                int pos = credentials.indexOf(":");
                try {
		    username = new String(Base64Encoder.base64ToByteArray(credentials.substring(0, pos)), "UTF-8");
		    password = new String(Base64Encoder.base64ToByteArray(credentials.substring(pos + 1)), "UTF-8");
                } catch (java.io.UnsupportedEncodingException e) {
                    throw TeamWorksRuntimeException.asTeamWorksRuntimeException(e);
                }
            }
        } else {
            username = request.getParameter("j_username");
            password = request.getParameter("j_password");
        }
    }

    String redirectTo = request.getParameter("redirect");

    if (redirectTo != null) {
        java.util.Enumeration paras = request.getParameterNames();
        boolean isFirst = true;
        String jsessionId = null;
        while (paras.hasMoreElements()) {
            String para = (String) paras.nextElement();
            String value = request.getParameter(para);

            if (para.equals("credentials")) continue;
						
            if (para.equals("jsessionId")) {
              jsessionId = value;
              continue;
            }
            
            if(para.equals("redirect")) continue;
						
            if (isFirst) {
                redirectTo += "?";
                isFirst = false;
            } else {
                redirectTo += "&";
            }
            redirectTo += para + "=" + java.net.URLEncoder.encode(value, "UTF-8");
        }

        redirectTo = redirectTo.replace('|', '&');

        // Add redirect cookie
        Cookie twForwardCookie = new Cookie("TWforwardPage", redirectTo);
        response.addCookie(twForwardCookie);
        
        if (jsessionId!=null) {
	        Cookie twJSessionId = new Cookie("TWJSessionId", jsessionId);
	        response.addCookie(twJSessionId);        
        }
    }

    Cookie[] cookies = request.getCookies();
    if (cookies != null) {
        for (int i = 0; i < cookies.length; i++) {
            Cookie cookie = cookies[i];
            if ("JSESSIONID".equals(cookie.getName())) {
                // Delete the JSESSIONID cookie to make sure we actually log in
                cookie.setMaxAge(0);
                response.addCookie(cookie);
            }
        }
    }
	if (session!=null) session.invalidate();
    if ((username != null) || (password != null)) {
%>
<html>
<head><title><bean:message key="redirectLogin"/></title></head>
<body onLoad="document.login.submit()">
<form method="POST" action="j_security_check" name="login">
    <input type="hidden" name="j_username" value="<%= username %>">
    <input type="hidden" name="j_password" value="<%= password %>">
</form>
</body>
</html>
<%
    } else {
        response.sendRedirect(redirectTo);
    }
%>
