<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.ibm.bpm.crconfig.BPMContextRootConfigServiceFactory"%>
<%@ page import="com.ibm.bpm.endpoint.EndpointServiceFactory"%>
<%@ page import="com.ibm.bpm.endpoint.EndpointServiceScenario"%>
<%@ page import="com.ibm.bpm.crconfig.BPMContextRootConfigService"%>
<%
    String redirectTo = null;
    String jsessionId = null;

    // Find the TWforwardPage cookie
    Cookie[] cookies = request.getCookies();
    if (cookies != null) {
        for (int i = 0; i < cookies.length; i++) {
            Cookie cookie = cookies[i];
            if (cookie.getName().equals("TWforwardPage")) {
                if (cookie.getValue() != null) {
                    redirectTo = cookie.getValue();
                    // remove the cookie - it has been used
                    cookie.setMaxAge(0);
                    response.addCookie(cookie);
                }
            } else  if (cookie.getName().equals("TWJSessionId")) {
                if (cookie.getValue() != null) {
                    jsessionId = cookie.getValue();
                    // remove the cookie - it has been used
                    cookie.setMaxAge(0);
                    response.addCookie(cookie);
                }
            }
        }

    }

    if (jsessionId != null) {
        //remove old session id
        for (int i = 0; i < cookies.length; i++) {
            Cookie cookie = cookies[i];
            if (cookie.getName().equals("JSESSIONID")) {
                cookie.setMaxAge(0);
                response.addCookie(cookie);
            }
        }

        response.addCookie(new Cookie("JSESSIONID", jsessionId));
    }

    String bpm_context_roots_pc = null;
 	try{
		bpm_context_roots_pc = EndpointServiceFactory.getInstance().getEndpointUrl(null, EndpointServiceScenario.RELATIVE, BPMContextRootConfigService.BPM_WARNAME_REPOSITORY, null);
		bpm_context_roots_pc = bpm_context_roots_pc != null ? bpm_context_roots_pc : BPMContextRootConfigServiceFactory.getInstance().getContextRootConfigService().getContextRoot(BPMContextRootConfigService.BPM_WARNAME_REPOSITORY);
	}
	catch(Exception e) { } 
	
    if (redirectTo != null) {
        if (redirectTo.indexOf("BPMHelp") > 0)
            redirectTo = redirectTo.replace(
                    bpm_context_roots_pc + "/repository/com.lombardisoftware.repository.Repository/", "");

        response.sendRedirect(redirectTo);
    } else {
        response.sendRedirect(bpm_context_roots_pc);
    }
%>